<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
      <div class="row">
          <div class="col-sm-8 col-xs-6">
              <h4 class="page-title">Profession</h4>
          </div>
          <div class="col-sm-4 col-xs-6 text-right">
              <a href="#" class="btn btn-primary btn-sm Add_button_custom" data-toggle="modal" data-target="#Add_Profession"><i class="fa fa-plus"></i> Add Profession</a>
          </div>
      </div>
      <div class="row">
          <div class="col-lg-12">
              <div class="card-box">
                  <div class="row">
                      <div class="col-md-12">
                          <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                              <div class="panel panel-default">
                                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                      <h4 class="panel-title">
                                          <a>
                                              <i class="more-less fa fa-plus"></i>
                                              <span class="searchbar_text_padding_left"> Search 
                                              </span>
                                          </a>
                                      </h4>
                                  </div>
                                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                                      <div class="panel-body">
                                          <div class="row">
                                              <!-- <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Parent Category</label>
                                                      <select class="form-control">
                                                          <option>Select from list</option>
                                                          <option>a</option>
                                                          <option>b</option>
                                                          <option>c</option>
                                                          <option>d</option>
                                                          <option>e</option>
                                                      </select>
                                                  </div>
                                              </div> -->
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Profession </label>
                                                      <input type="text" class="form-control" placeholder="Enter Profession">
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Status</label>
                                                      <select class="form-control">
                                                          <option>Active</option>
                                                          <option>Inactive</option>
                                                      </select>
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="">
                                                      <label class="search_label" style="width: 100%;">&nbsp;</label>
                                                      <button class="btn btn-primary search_btn_width"><i class="fa fa-search"></i> Search</button>
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  
                  <!-- <div class="custom_Search_panel">
                      <div class="row">
                          <div class="col-md-6">
                              <div class="search-box">
                                  <i class="glyphicon glyphicon-search"></i>
                                  <input type="text" id="myInput" class="form-control" placeholder="Search Here...">
                              </div>
                          </div>
                          <div class="col-md-6 text-right">
                              <div class="show_entries">
                                  <span class="show_text">Show</span>
                                  <select class="form-control">
                                      <option>10</option>
                                      <option>20</option>
                                      <option>30</option>
                                  </select> <span class="entries_text">entries</span>
                              </div>
                          </div>
                      </div>
                  </div> -->
                  <div class="row">
                      <div class="col-md-12">
                          <div class="table-responsive">
                            <kendo-grid [data]="profession_Griddata" height="auto" [pageSize]="pageSize" [sort]="sort" [skip]="state.skip"
                            (sortChange)="sortProfession_Change($event)" [filter]="state.filter" [pageable]="true" scrollable="true"
                            [resizable]="true" [reorderable]="true" (dataStateChange)="profession_DataStateChange($event)">
            
                            <kendo-grid-column field="profession" title="Profession"
                              [headerStyle]="{'height':'40px','text-align':'left','width':'200px'}" [style]="{'width':'200px'}">
                              <ng-template kendoGridCellTemplate let-index="dataItem">
                                <div class="row">
                                  <div class="col-md-12 row_padding text-left noPadding_xs">
                                    <div>
                                      <!-- {{index.created_date|date:'dd MMM yyyy'}} -->
                                    </div>
                                  </div>
                                </div>
                              </ng-template>
                            </kendo-grid-column>
            
                            <kendo-grid-column field="status" title="Status"
                              [headerStyle]="{'height':'40px','text-align':'center','width':'200px'}" [style]="{'width':'200px'}">
                              <ng-template kendoGridCellTemplate let-index="dataItem">
                                <div class="row">
                                  <div class="col-md-12 row_padding text-center noPadding_xs">
                                    <div>
                                      <!-- {{index.id}} -->
                                    </div>
                                  </div>
                                </div>
                              </ng-template>
                            </kendo-grid-column>
            
                            <kendo-grid-column field="action" title="Action" [headerStyle]="{'height':'40px','text-align':'right','width':'80px'}"
                              [style]="{'width':'80px'}">
                              <ng-template kendoGridCellTemplate let-index="dataItem">
                                <div class="row">
                                  <div class="col-md-12 row_padding text-right noPadding_xs">
                                    <div>
                                      <a title="Edit" data-toggle="modal" data-target="#Add_Category"><i class="fa fa-pencil edit_icon"></i></a>
                                      <a title="Delete" data-toggle="modal" data-target="#delete_record"><i class="fa fa-trash delete_icon"></i></a>
                                    </div>
                                  </div>
                                </div>
                              </ng-template>
                            </kendo-grid-column>
                          </kendo-grid>
                          </div>
                      </div>
                  </div>
                  <div class="row">
                      <div class="col-md-12">
                          <div class="form-group">
                              <a href="#" class="btn btn-danger btn-sm delete_checked_row_btn">Delete</a>
                          </div>
                      </div>
                  </div>
                  <!-- <div class="row">
                      <div class="col-md-6">
                          <h4 class="showing_entries_class">Showing 1 to 8 of 8 entries</h4>
                      </div>
                      <div class="col-md-6 text-right">
                          <nav aria-label="Page navigation example">
                            <ul class="pagination">
                              <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                              <li class="page-item"><a class="page-link" href="#">1</a></li>
                              <li class="page-item"><a class="page-link" href="#">Next</a></li>
                            </ul>
                          </nav>
                      </div>
                  </div> -->
              </div>
          </div>
      </div>
  </div>
</div>
<!-- Add Profession Modal Start -->
<div id="Add_Profession" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" style="color:#fff;">Add Profession</h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-md-12 noPadding_xs">
                <div class="form-group">
                    <label class="pop_label">Profession</label>
                    <input type="text" class="form-control" placeholder="Enter Profession" >
                </div>
            </div>
        </div>
        
        <div class="row">
            <div class="col-md-12 text-right noPadding_xs">
                <a href="#" class="btn btn-success btn-sm custom_btn_css">Submit</a>
                <a href="#" class="btn btn-secondary btn-sm custom_btn_css" data-dismiss="modal">Cancel</a>
            </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Add Category Modal End -->
<!-- Delete Modal Start -->
<div id="delete_record" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h5 class="modal-title">Confirm Delete</h5>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-md-12">
                <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 text-right">
                <a href="#" class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn">Delete</a>
            </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Delete Modal End -->